Package org.apache.sling.scriptingbundle.plugin.processor.filevault

## Class VaultContentXmlReader

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.processor.filevault.VaultContentXmlReader

    public class VaultContentXmlReader
    extends Object

### Constructor Summary

Constructors
`VaultContentXmlReader​(@NotNull Path path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`@NotNull Path` `getPath()`
`@NotNull Set<String>` `getSlingRequiredResourceTypes()`
`@NotNull Optional<String>` `getSlingResourceSuperType()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VaultContentXmlReader

    public VaultContentXmlReader​(@NotNull
                                 @NotNull Path path)
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### getPath

    @NotNull
    public @NotNull Path getPath()

#### getSlingResourceSuperType

    @NotNull
    public @NotNull Optional<String> getSlingResourceSuperType()

#### getSlingRequiredResourceTypes

    @NotNull
    public @NotNull Set<String> getSlingRequiredResourceTypes()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`